Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.tools
Class AbstractSoapUIRunner

    java.lang.Object
      com.eviware.soapui.tools.AbstractSoapUIRunner

Direct Known Subclasses:
  SoapUILoadTestRunner, SoapUIMockServiceRunner, SoapUITestCaseRunner, SoapUIToolRunner

    public abstract class AbstractSoapUIRunner

extends java.lang.Object

Nested Class Summary
`static class` | `AbstractSoapUIRunner.SoapUIOptions`

Field Summary
`protected static org.apache.log4j.Logger` | `log`

Constructor Summary
`AbstractSoapUIRunner(java.lang.String title)`

Method Summary
`protected SoapUICore` | `createSoapUICore()`
`java.lang.String` | `getProjectFile()`
`java.lang.String` | `getSettingsFile()`
`protected abstract AbstractSoapUIRunner.SoapUIOptions` | `initCommandLineOptions()`
`boolean` | `initFromCommandLine(java.lang.String[] args, boolean printHelp)`
`protected void` | `initGroovyLog()`
`protected abstract boolean` | `processCommandLine(org.apache.commons.cli.CommandLine cmd)`
`void` | `run()`
`void` | `runFromCommandLine(java.lang.String[] args)`
`protected abstract void` | `runRunner()`
`void` | `setEnableUI(boolean enableUI)`
`void` | `setProjectFile(java.lang.String projectFile)` Sets the soapUI project file containing the tests to run
`void` | `setSettingsFile(java.lang.String settingsFile)` Sets the soapUI settings file containing the tests to run

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Logger log

Constructor Detail

### AbstractSoapUIRunner

    public AbstractSoapUIRunner(java.lang.String title)

Method Detail

### initGroovyLog

    protected void initGroovyLog()

### runFromCommandLine

    public void runFromCommandLine(java.lang.String[] args)

### initFromCommandLine

    public boolean initFromCommandLine(java.lang.String[] args,
                                       boolean printHelp)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### run

    public final void run()
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createSoapUICore

    protected SoapUICore createSoapUICore()

### processCommandLine

    protected abstract boolean processCommandLine(org.apache.commons.cli.CommandLine cmd)

### initCommandLineOptions

    protected abstract AbstractSoapUIRunner.SoapUIOptions initCommandLineOptions()

### runRunner

    protected abstract void runRunner()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getProjectFile

    public java.lang.String getProjectFile()

### getSettingsFile

    public java.lang.String getSettingsFile()

### setProjectFile

    public void setProjectFile(java.lang.String projectFile)

  Sets the soapUI project file containing the tests to run

  Parameters:
    `projectFile` - the soapUI project file containing the tests to run

### setSettingsFile

    public void setSettingsFile(java.lang.String settingsFile)

  Sets the soapUI settings file containing the tests to run

  Parameters:
    `settingsFile` - the soapUI settings file to use

### setEnableUI

    public void setEnableUI(boolean enableUI)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.